Package org.apache.sling.jcr.jackrabbit.accessmanager

# Interface GetEffectiveAce

All Known Implementing Classes:
  `GetEffectiveAceServlet`

public interface GetEffectiveAce
The `GetEffectiveAce` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

## Method Summary

Modifier and Type
Method
Description
`jakarta.json.JsonObject`
`getEffectiveAce(javax.jcr.Session jcrSession, String resourcePath, String principalId)`
Gets the effective access control entry for a resource and principal

## Method Details

### getEffectiveAce

jakarta.json.JsonObject getEffectiveAce(javax.jcr.Session jcrSession, String resourcePath, String principalId) throws javax.jcr.RepositoryException
Gets the effective access control entry for a resource and principal

Parameters:
  `jcrSession` - the JCR session of the user updating the user
  `resourcePath` - The path of the resource to get the ACE for (required)
  `principalId` - the principal to get the ACE for (required)
Returns:
  the ACE as a JSON object
Throws:
  `javax.jcr.RepositoryException` - if any errors reading the information